<?php
/**
 * @package CleverOgre
 * @subpackage WP-Live Chat by 3CX - Multisite Support Server
 * @since WP-Live Chat by 3CX - Multisite Support Server 0.2.0
 */

include_once('config.php');
include_once('api.php');

if (!in_array($_SERVER['REMOTE_ADDR'], \MultisiteChatServer\Config::get_authorized_ips()) || !isset($_POST['action']) || !in_array($_POST['action'], array(\MultisiteChatServer\Config::get_action()))) {
    exit;
}

switch ($_POST['action']) {
    case \MultisiteChatServer\Config::get_action():
        if (!isset($_POST['url'])) {
            \MultisiteChatServer\Api::send_json_error();
        } else {
            $result = \MultisiteChatServer\Api::check_online($_POST['url']);
            \MultisiteChatServer\Api::send_json_success(array(
                'found' => $result == true ? '1' : '0',
            ));
        }
        break;

    default:
        \MultisiteChatServer\Api::send_json_error();
        break;
}

exit;
